ghc-pkg-autofix: Simple utility to fix BROKEN package dependencies

[ bsd3, development, program ] [ Propose Tags ]

The cabal-install sometimes reinstall existing library and break some package dependencies. This utility fixes such situations by replacing old package id in "broken" package with new id.

Versions [faq] 0.1, 0.1.1, 0.1.2, 0.1.3, 0.1.4, 0.2.0, 0.2.0.1
Dependencies base (==3.*), Cabal (>=1.8 && <2), filepath (==1.*), parsec (>=2 && <4), process (==1.0.*), split (==0.1.*) [details]
License BSD-3-Clause
Author Hiromi ISHII
Maintainer konn.jinro_at_gmail.com
Category Development
Uploaded by HiromiIshii at Sun Feb 20 10:51:31 UTC 2011
Distributions NixOS:0.2.0.1
Executables ghc-pkg-autofix
Downloads 4171 total (183 in the last 30 days)
Rating (no votes yet) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs not available [build log]
All reported builds failed as of 2016-12-28 [all 6 reports]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees